Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 02-24-04, 07:42 PM   #1
tidixon
Registered User
 
Join Date: Aug 2003
Posts: 5
Default Shared memory test failed. fedora kernel 2.6.3-100

I get a message when i use the NVIDIA installer.
It says Shared memory test failed. Check to make sure kernel uses CONFIG_SYSVIPC. This problem arose only with the latest release of the 2.6.3, and was working fine even under 2.6.3-96 (in the fedora devel branch). Any clue what is happening here??
tidixon is offline   Reply With Quote
Old 02-24-04, 10:21 PM   #2
RUSTY
Registered User
 
Join Date: Dec 2002
Posts: 44
Default

I got the same problem :<
Here is my log

option status:
license pre-accepted : false
update : false
force update : false
expert : false
uninstall : false
driver info : false
no precompiled interface: false
no ncurses color : false
query latest driver ver : false
OpenGL header files : false
no questions : false
silent : false
XFree86 install prefix : /usr/X11R6
OpenGL install prefix : /usr
Installer install prefix: /usr
kernel source path : (not specified)
kernel install path : (not specified)
proc mount point : /proc
ui : (not specified)
tmpdir : /tmp
ftp site : ftp://download.nvidia.com

Using: nvidia-installer ncurses user interface
-> License accepted.
-> There appears to already be a driver installed on your system (version: 1.0-
5336). As part of installing this driver (version: 1.0-5336), the existing
driver will be uninstalled. Are you sure you want to continue? ('no' will a
bort installation) (Answer: Yes)
-> No precompiled kernel interface was found to match your kernel; would you li
ke the installer to attempt to download a kernel interface for your kernel f
rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: Yes)
-> No matching precompiled kernel interface was found on the NVIDIA ftp site;
this means that the installer will need to compile a kernel interface for
your kernel.
-> Kernel source path: '/lib/modules/2.6.3-1.100/build'
-> Performing cc_version_check with CC="cc".
-> Cleaning kernel module build directory.
executing: 'cd ./usr/src/nv; make clean'...
rm -f -f nv.o os-agp.o os-interface.o os-registry.o nv.o os-agp.o os-interfa
ce.o os-registry.o nvidia.mod.o
rm -f -f build-in.o nv-linux.o *.d .*.{cmd,flags}
rm -f -f nvidia.{o,ko,mod.{o,c}} nv_compiler.h *~
-> Building kernel module:
executing: 'cd ./usr/src/nv; make module SYSSRC=/lib/modules/2.6.3-1.100/bui
ld'...
HOSTCC scripts/fixdep
HOSTCC scripts/genksyms/genksyms.o
HOSTCC scripts/genksyms/lex.o
HOSTCC scripts/genksyms/parse.o
HOSTLD scripts/genksyms/genksyms
HOSTCC scripts/split-include
HOSTCC scripts/conmakehash
HOSTCC scripts/docproc
HOSTCC scripts/kallsyms
CC scripts/empty.o
HOSTCC scripts/mk_elfconfig
MKELF scripts/elfconfig.h
HOSTCC scripts/file2alias.o
HOSTCC scripts/modpost.o
HOSTLD scripts/modpost
HOSTCC scripts/pnmtologo
HOSTCC scripts/bin2c
SPLIT include/linux/autoconf.h -> include/config/*
*** Warning: Overriding SUBDIRS on the command line can cause
*** inconsistencies
CHK include/asm-i386/asm_offsets.h
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > /tmp/selfgz2609/NVI
DIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/nv_compiler.h
CC [M] /tmp/selfgz2609/NVIDIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/nv.o
/tmp/selfgz2609/NVIDIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/nv.c:1185: warning
: initialization from incompatible pointer type
CC [M] /tmp/selfgz2609/NVIDIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/os-agp.o
CC [M] /tmp/selfgz2609/NVIDIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/os-inter
face.o
CC [M] /tmp/selfgz2609/NVIDIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/os-regis
try.o
LD [M] /tmp/selfgz2609/NVIDIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/nvidia.o
Building modules, stage 2.
MODPOST
CC /tmp/selfgz2609/NVIDIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/nvidia.m
od.o
LD [M] /tmp/selfgz2609/NVIDIA-Linux-x86-1.0-5336-pkg1/usr/src/nv/nvidia.k
o
-> done.
-> Kernel module compilation complete.
-> Installing both new and classic TLS OpenGL libraries (but only new XFree86
TLS libraries.
-> Parsing log file:
-> done.
-> Validating previous installation:
-> The previously installed file '/usr/lib/tls/libGLcore.so.1.0.5336' has a
different checksum (2279533317) than when it was installed (1465951649).
/usr/lib/tls/libGLcore.so.1.0.5336 will not be uninstalled.
-> The previously installed file '/usr/lib/tls/libGL.so.1.0.5336' has a
different checksum (901522403) than when it was installed (3379656302).
/usr/lib/tls/libGL.so.1.0.5336 will not be uninstalled.
-> The previously installed file '/usr/bin/nvidia-installer' has a different
checksum (1734128823) than when it was installed (1334750645).
/usr/bin/nvidia-installer will not be uninstalled.
-> done.
WARNING: Your driver installation has been altered since it was initially
installed; this may happen, for example, if you have since installed
the NVIDIA driver through a mechanism other than the nvidia-installer
(such as rpm or with the NVIDIA tarballs). The nvidia-installer will
attempt to uninstall as best it can. Please see the file
'/var/log/nvidia-installer.log' for details.
-> Uninstalling NVIDIA Accelerated Graphics Driver for Linux-x86 (1.0-5336):
-> done.
-> Uninstallation of existing driver: NVIDIA Accelerated Graphics Driver for
Linux-x86 (1.0-5336) is complete.
-> Installing 'NVIDIA Accelerated Graphics Driver for Linux-x86' (1.0-5336):
executing: './usr/src/nv/makedevices.sh'...
executing: '/sbin/ldconfig'...
executing: '/sbin/depmod -aq'...
-> done.
-> Driver file installation is complete.
-> Running post-install sanity check:
-> done.
-> Sanity check passed.
-> Shared memory test failed (Invalid argument): please check that your kernel
has CONFIG_SYSVIPC enabled.
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.

Last edited by RUSTY; 02-25-04 at 01:20 AM.
RUSTY is offline   Reply With Quote
Old 02-25-04, 04:10 AM   #3
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default

Was the kernel built with CONFIG_SYSVIPC?
zander is offline   Reply With Quote
Old 02-25-04, 04:49 AM   #4
challinor
Registered User
 
Join Date: Feb 2004
Posts: 2
Default

I get the same message when i use the NVIDIA installer. I am using kernel 2.6.3-100 RPM form Fedora's web site. I had no problem with the previous kernel. It may be a Redhat kernel config problem.
challinor is offline   Reply With Quote
Old 02-25-04, 07:59 AM   #5
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default

Does it work if you disable CONFIG_REGPARM and rebuild the kernel?
zander is offline   Reply With Quote
Old 02-25-04, 08:28 PM   #6
RUSTY
Registered User
 
Join Date: Dec 2002
Posts: 44
Default

to Zander


Up2date automatically installs rpms once you download them. I don't know if there a way to manually get those rpms and install them by myself.
RUSTY is offline   Reply With Quote
Old 02-25-04, 10:04 PM   #7
challinor
Registered User
 
Join Date: Feb 2004
Posts: 2
Default

FIXED !

I downloaded a new Kernel RPM from Fedora's web site today, version 2.6.3-106. The NVidia driver compiled with no problems.
challinor is offline   Reply With Quote
Old 02-25-04, 10:12 PM   #8
RUSTY
Registered User
 
Join Date: Dec 2002
Posts: 44
Default

Thanks Man :> Gonna Download It Today
RUSTY is offline   Reply With Quote

Old 02-26-04, 01:12 AM   #9
tidixon
Registered User
 
Join Date: Aug 2003
Posts: 5
Default

Yeap, I got it to work with 2.6.3-1.106
Thanks for the help
tidixon is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Regression with 295.33 and GeForce GT 240 maro NVIDIA Linux 16 06-29-12 07:47 PM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 11:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 05:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 12:04 PM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 09:22 PM

All times are GMT -5. The time now is 12:05 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.